%define name	rythmaid
%define version	0.0.2
%define release 1mdk

Name: 	 	%{name}
Summary: 	Plays drums and bass automatically
Version: 	%{version}
Release: 	%{release}

Source:		rythmAidGui-%{version}.tar.bz2
URL:		http://rythmaidgui.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+1.2-devel libtse3-devel

%description
A little GUI Jazz practice program, which plays a bass, drums and piano
track based on a given set of chord changes and probabilities. Uses TSE3 for
midi code and gtk+ for GUI.

Find example songs in /usr/share/rythmaid.

%prep
%setup -q -n rythmAidGui-%version
perl -p -i -e "s/\`gtk-config/$RPM_OPT_FLAGS\ \`gtk-config/g" Makefile

%build
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%name
cp rythmgui %buildroot/%_bindir/%name
ln %buildroot/%_bindir/%name %buildroot/%_bindir/rythmgui
cp -r Example* %buildroot/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="RythmAid" longtitle="Accompaniment Section" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README CHORDS MPARAM SPARAM
%{_bindir}/%name
%{_bindir}/rythmgui
%{_menudir}/%name
%{_datadir}/%name

%changelog
* Sat Apr 26 2003 Austin Acton <aacton@yorku.ca> 0.0.2-1mdk
- initial package
